> ## Documentation Index
> Fetch the complete documentation index at: https://www.cometchat.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

> Retries the indexing process for specific pages under a website knowledge base source. Pass the unique IDs of the pages to re-index, or send an empty array to automatically retry all pages that failed

# Retry Indexing for Website Pages

For the complete error reference, see [Error Guide](/rest-api/ai-agents-apis/error-codes).


## OpenAPI

````yaml patch /ai-agents/agent-builder/knowledge-base/website/{parentUniqueId}/discovered-urls/sync
openapi: 3.0.0
info:
  title: AI Agents APIs
  description: API reference for CometChat AI Agents service
  version: '1.0'
servers:
  - url: https://{appId}.api-{region}.cometchat.io/v3
    variables:
      appId:
        default: appId
        description: (Required) App ID
      region:
        enum:
          - us
          - eu
          - in
        default: us
        description: Select Region
security: []
tags:
  - name: ai-agent
    description: ''
paths:
  /ai-agents/agent-builder/knowledge-base/website/{parentUniqueId}/discovered-urls/sync:
    patch:
      tags:
        - crawl-web-pages
      summary: Retry Indexing for Website Pages
      description: >-
        Retries the indexing process for specific pages under a website
        knowledge base source. Pass the unique IDs of the pages to re-index, or
        send an empty array to automatically retry all pages that failed during
        a previous indexing attempt.
      operationId: CrawlWebPagesController_syncDiscoveredUrls
      parameters:
        - name: parentUniqueId
          required: true
          in: path
          description: Parent website crawl unique ID
          schema:
            example: f47ac10b-58cc-4372-a567-0e02b2c3d479
            type: string
      requestBody:
        required: true
        description: >-
          Array of discovered URL unique IDs to sync. Only non-excluded URLs
          will be processed.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SyncDiscoveredUrlsDto'
            examples:
              sync_specific_urls:
                summary: Sync specific discovered URLs
                description: >-
                  Process only the specified discovered URLs that are not
                  excluded
                value:
                  uniqueIds:
                    - fb45bb1e-bc81-45a8-85be-36b2aa4f289e
                    - c2847dcd-636c-4e7a-9217-593ccf2a7bb1
                    - 550e8400-e29b-41d4-a716-446655440003
      responses:
        '200':
          description: Sync processing initiated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Sync processing initiated successfully
                  data:
                    type: object
                    properties:
                      batchId:
                        type: string
                        example: sync-batch-1701789123456
                      urlsProcessed:
                        type: number
                        example: 2
                      totalRequested:
                        type: number
                        example: 3
                      excludedUrls:
                        type: number
                        example: 1
                      webhookUrl:
                        type: string
                        example: >-
                          https://webhook.site/b4994000-62d9-4e17-928f-790282cb5815
                      status:
                        type: string
                        example: processing
                      processedUrls:
                        type: array
                        items:
                          type: string
                        example:
                          - fb45bb1e-bc81-45a8-85be-36b2aa4f289e
                          - c2847dcd-636c-4e7a-9217-593ccf2a7bb1
              example:
                success: true
                message: Sync processing initiated successfully
                data:
                  batchId: sync-batch-1701789123456
                  urlsProcessed: 2
                  totalRequested: 3
                  excludedUrls: 1
                  webhookUrl: https://webhook.site/b4994000-62d9-4e17-928f-790282cb5815
                  status: processing
                  processedUrls:
                    - fb45bb1e-bc81-45a8-85be-36b2aa4f289e
                    - c2847dcd-636c-4e7a-9217-593ccf2a7bb1
      security:
        - apiKey: []
components:
  schemas:
    SyncDiscoveredUrlsDto:
      type: object
      properties:
        uniqueIds:
          description: Array of unique IDs to sync for batch processing
          example:
            - url-id-1
            - url-id-2
            - url-id-3
          type: array
          items:
            type: string
      required:
        - uniqueIds
  securitySchemes:
    apiKey:
      type: apiKey
      description: API Key (i.e. Rest API Key from the Dashboard).
      name: apikey
      in: header

````